
1 AXIS
        [GREG1\]AXIS NAME [A1 A2] [/TICK Orien Small  Big]  [/LOCATION  X  Y
    Len] [/LABEL Value [ONLY]] [/[NO]LOG] [/ABSOLUTE] [/UNIT Valid_Unit]

    Makes an axis labelled from A1 to A2 at location X, Y, length Len.   The
    current ORIENTATION determines the angle of the axis.

    The axis  scale  is  LINEAR  or  LOGARITHMIC  according  to  the  option
    /[NO]LOG.

    The tick orientation "Orien" may be IN or OUT or NONE  with  respect  to
    the  BOX.  Tick spacing can be defined by Small and Big. The orientation
    NONE cancels both ticks and labels. Labels for other "Orien"  are  drawn
    according  to  "Value",  which may be N[one], P[arallel] or O[rthogonal]
    (to the axis). If option /LABEL has the second argument ONLY,  only  the
    labels of the axis are written, not the axis nor the ticks. This feature
    allows use of different pens for the labels and the axis.

    AXIS provides default values for all these parameters according  to  the
    axis NAME (XLow, XUp, YLeft, YRight) and the current values used by BOX.

    AXIS creates a graphic segment named "AXIS".
2 /ABSOLUTE

        The option /ABSOLUTE is used to write (RA,DEC) labels for EQUATORIAL
    system  or  (L,B)  coordinates  for GALACTIC system when a projection is
    active, i.e., both a PROJECTION and a SYSTEM are defined.  RA (or L)  is
    used  for  X-like  axis,  and DEC (or B) for Y-like axis. Note that this
    should be used only for small fields (size less than 0.2  Radians),  and
    must  be  used  only  with  the  axes  at  the default position (i.e. no
    /LOCATION option). When SYSTEM is defined but the projection is NONE  or
    has  never  been  defined,  the  /ABSOLUTE  option supports large fields
    (since PROJECTION NONE makes a non-conformal mapping  anyway).  The  SET
    SEXAGESIMAL  command (see help) permits some mastering on how UNKNOWN or
    GALACTIC ABSOLUTE labels are written.

    See HELP TICKSPACE for more  information  on  how  to  master  the  Tick
    spacing with the /ABSOLUTE or the /UNIT options.

2 /UNIT

        The option /UNIT is used to convert  the  axis  coordinates  to  the
    desired  unit, M for arc minutes, S for arc seconds, R for Radians. This
    option is valid only  if  a  PROJECTION  and  a  SYSTEM  (EQUATORIAL  or
    GALACTIC)  are  both defined. See HELP TICKSPACE for more information on
    how to master the Tick spacing with the /ABSOLUTE or the /UNIT options.

1 BOX
        [GREG1\]BOX [Arg1  [Arg2  [Arg3]]]  [/ABSOLUTE]  [/UNIT  valid_unit]
    [/LABEL Pen] [/FILL pen0m]

    BOX puts axes around the plot region, labelling the lower and left.  The
    first  two  arguments  are used to modify the labelling of the lower and
    left axes respectively. They may take the values  P for Parallel  labels
    (default  for X axis), O for Orthogonal labels (default for Y axis) or N
    for No labels. A third argument can be specified to  indicate  that  the
    ticks  are  to  be IN or OUT of the box, or not drawn at all (NONE). BOX
    creates a segment named "BOX".

    The option /LABEL is used to specify a different pen  to  use  for  axis
    labelling. Creates a supplemetary graphic segment "LABEL".

    The option "/FILL pen_num" will fill the inside  of  the  box  with  the
    color  of  the pen pen_num. The last 16 pens (numbered 8-23) can receive
    arbitrary colors with the command  LUT  /PEN.  Creates  a  supplementary
    graphic segment "FILL".

    BOX N N N makes a rectangle with the current pen, even  if  the  pen  is
    dashed.

2 /ABSOLUTE

        The option /ABSOLUTE is used to write (RA,DEC) labels for EQUATORIAL
    system  or  (L,B)  coordinates  for GALACTIC system when a projection is
    active, i.e., both a PROJECTION and a SYSTEM are defined.  RA (or L)  is
    used  for  X-like  axis,  and DEC (or B) for Y-like axis. Note that this
    should be used only for small fields (size less than 0.2  Radians),  and
    must  be  used  only  with  the  axes  at  the default position (i.e. no
    /LOCATION option). When SYSTEM is defined but the projection is NONE  or
    has  never  been  defined,  the  /ABSOLUTE  option supports large fields
    (since PROJECTION NONE makes a non-conformal mapping  anyway).  The  SET
    SEXAGESIMAL  command (see help) permits some mastering on how UNKNOWN or
    GALACTIC ABSOLUTE labels are written.

    See HELP TICKSPACE for more  information  on  how  to  master  the  Tick
    spacing with the /ABSOLUTE or the /UNIT options.

2 /UNIT

        The option /UNIT is used to convert  the  axis  coordinates  to  the
    desired  unit, M for arc minutes, S for arc seconds, R for Radians. This
    option is valid only  if  a  PROJECTION  and  a  SYSTEM  (EQUATORIAL  or
    GALACTIC)  are  both defined. See HELP TICKSPACE for more information on
    how to master the Tick spacing with the /ABSOLUTE or the /UNIT options.

1 COLUMN
        [GREG1\]COLUMN [X Nx] [Y Ny] [Z Nz] [/FILE File_Name] [/LINES L1 L2]
    [/TABLE Table_Name] [/COMMENT "Separator"]

    This command will read X data from column Nx of the current file, Y data
    from  column  Ny and Z data from column Nz of the current (or specified)
    input file or binary table. Any combination of any of three X,Y,Z  items
    is  valid  in  any order, provided the column number immediately follows
    the column descriptor. The X and Y arrays contain respectively the X and
    Y  coordinates  of  points  to  be plotted. The Z array is an additional
    buffer which is used for ERRORBARS, for RANDOM maps and so on.
2 /FILE
        [GREG1\]COLUMN /FILE File_Name

    Indicates in which formatted (list-directed free format) file  the  data
    are  to  be  read.  If  not given, the last input file or table is used.
    There is an implementation dependent limit (usually 50000) on the number
    of  lines that can be read by one COLUMN command in a formatted file. To
    go over that limit, you can  convert  the  formatted  file  to  a  table
    (recommanded, for efficiency), or work by pieces using /LINES.

2 /LINES
        [GREG1\]COLUMN /LINES L1 L2

    limits the range of lines read in the input file or table. It is  useful
    to  avoid non-data lines, or to read by pieces a formatted file which is
    too long for the column buffers. L1 and L2 are  reinitialized  for  each
    new input file or table. L2 defaults to end of file if not specified.
2 /TABLE
        [GREG1\]COLUMN /TABLE Table_Name

    Indicates that the columns are to be read in a  "Table"  at  the  GILDAS
    format.  If  not  given,  the  last input file or table is used. "Table"
    format is typically 100 times more efficient  used  than  the  formatted
    file format.
2 /COMMENT
        [GREG1\]COLUMN /COMMENT "Separator"

    Specify which character is used to indicate the beginning of  a  comment
    line  in  the  input  file.  "Separator"  is a single character; typical
    values  are  "!",  ";",  "#",  although  any  single  character  can  be
    specified. The default is set by command SET COMMENT (default "!").

1 CONNECT
        [GREG1\]CONNECT [Array_X Array_Y] [/BLANKING Bval Eval] [/FILL]

    CONNECT draws line segments connecting the coordinates read by COLUMN  X
    and  Y,  or stored in the variables Array_X Array_Y.  The current pencil
    with its dashed pattern is used.

    CONNECT uses the current blanking values, which can be overridden by the
    /BLANKING  option.  Hence,  it does not connect with data points so that
    abs(Y(i)-Bval) <= Eval. Eval negative means no blanking value, and  Bval
    and Eval values default to those specified in SET BLANKING.

2 /FILL
        [GREG1\]CONNECT [Array_X Array_Y] [/FILL]

    The /FILL option indicates to  fill  the  connected  line.  Blanking  is
    irrelevant.  The  connected line is closed by linking together the first
    and last point, then filled with the colour of the current pen. Use with
    caution on complex shapes.


1 CURVE
        [GREG1\]CURVE  [Array_X  Array_Y]   [/ACCURACY   A]   [/VARIABLE   V
    [Array_V]] [/PERIODIC] [/BLANKING Bval Eval]

    Builds the spline interpolation of the (x,y) pairs read  by  COLUMN,  or
    stored  in  the  variables Array_X Array_Y, using the selected algorithm
    and options. The current pen with its dashed pattern is used.  Presently
    the  only  algorithm  available is CUBIC_SPLINE. By default, the command
    assumes that a curve Y=f(X) is to be plotted ; this can be changed using
    options to specify the kind of curve to be plotted.

2 /ACCURACY
      [GREG1\]CURVE /ACCURACY A

    Controls the accuracy of the spline interpolation. The argument  is  the
    desired accuracy (in paper units, i.e. centimeters) and should be set to
    the plotter resolution. The default  value  is  defined  using  the  SET
    ACCURACY command

2 /VARIABLE
      [GREG1\]CURVE /VARIABLE V [Array_V]

    Selects the the interpolation variable V, which may be
      - X                 To plot a function Y=F(X) (Default)
      - Y                 To plot a function X=F(Y)
      - Z  [Array_V]      To plot a curve with an  explicit  parametrization
        using  the  Z array, or the array Array_V if this second argument is
        present.
      - POLYGONAL_LENGTH  To plot a curve using the polygonal length of  the
        curve as parametrization. It is fast and of general use.
      - CURVILINEAR_LENGTH Refined and slow version of  the  parametrization
        in POLYGONAL_LENGTH.
      - NUMBERING          The parameter is the numbering of points.  It  is
        only   appropriate   if   the   numbering   reflects   a  reasonable
        parametrization of the curve.

2 /PERIODIC
        [GREG1\]CURVE /PERIODIC

    Specifies that the curve is periodic (and  currently  closed  also).  If
    /VARIABLE  X,  it  expects  that  y(1)=y(NXY)  ;  if  /VARIABLE  Y, that
    x(1)=x(NXY) ; and in the case of a parametric  curve,  that  x(1)=x(NXY)
    and y(1)=y(NXY)

2 /BLANKING
        [GREG1\]CURVE /BLANKING Bval Eval

    Does not uses data points such that abs(Y(i)-Bval) < Eval. These  points
    act as separators.  Eval negative means no blanking value. Bval and Eval
    values default to those specified in SET BLANKING.

1 DRAW
        [GREG1\]DRAW Argument Xc Yc [/CLIP] [/BOX N] [/CHARACTER  N]  [/USER
    [code]]

    This is a powerful command which allows you  to  make  drawings  without
    data  either  by  specifying  coordinates  (Xc,Yc)  and  action  desired
    (Argument), or by interactive use of a cursor.

    The cursor is obtained if Xc and Yc are  omitted,  and  the  appropriate
    action  is  then  specified  by  keys  typed  at  the keyboard: R is for
    RELOCATE, L for LINE, M for  MARKER,  A  for  ARROW,  T  for  TEXT.   In
    addition,  C  works  like  T, but prompts for the centering parameter in
    addition to the text. D can be used to DELETE the  last  operation,  and
    has  no  action  on  the operations which were plotted previously to the
    current DRAW command.  (Presently D has  no  visible  action.  Use  ZOOM
    REFRESH  after.)  E  exits  from  the  cursor  routine. ^C will exit AND
    generate an error, which can be trapped (useful to regain control inside
    of forever SIC loops calling the interactive cursor repeatedly).

    Other keys gives you the cursor coordinates (in the current angular unit
    when  a  projection  is  defined),  except that keys `0' `1' `2' and `3'
    temporarily (i.e., as long one does not exit from cursor  mode)  changes
    the current angular unit in which the cursor coordinates are returned.

    For X11 displays, you may use the mouse buttons for the commands R (left
    mouse button), L (middle mouse button), and E (right mouse button).

    The complete command is written to the LOG_FILE so that you  can  replay
    it  easily.  The option allows you to supersede the default value of the
    coordinate system defined by SET COORDINATE or  to  keep  clipping.  The
    code suboption in the /USER option, if present, can be any of `SECONDS',
    `MINUTES', `DEGREES', `RADIANS' (in which case the Xc and Yc coordinates
    are  taken to be in the corresponding unit) or `ABSOLUTE' (in which case
    Xc and Yc  are  taken  as  absolute  coordinates,  usually  exprimed  in
    sexagesimal format). The presence of the code suboption is valid only if
    a PROJECTION and a SYSTEM (EQUATORIAL or GALACTIC) are both defined.

    When using the explicit form, Xc and Yc may be equal to  *  to  use  the
    current pen position.

    Any "realistic" combination of literal  values,  0-d  and  1-dimensional
    variables is accepted for that command. For example,
    DRAW MARKER A B /USER MINUTES
    will plot markers at each location given by  the  two  arrays  A  and  B
    (provided  they  are of the same size). A and B must be CHARACTER arrays
    in the case where the "/USER ABSOLUTE" option is used.
2 /BOX
        [GREG1\]DRAW [Action Xc Yc] /BOX N

    Specifies that coordinates Xc Yc are physical units  relative  to  point
    number  N  of  the  current BOX. The 9 most remarkable points of the box
    (corners, middle of the sides, and box center) are numbered according to
    a VT100 numeric keypad notation (see HELP GREG1\LABEL /CENTERING ).

2 /CHARACTER
        [GREG1\]DRAW [Action Xc Yc] /CHARACTER N

    Specifies that coordinates X Y are units of character size, and relative
    to  point  number N of the current BOX.  The 9 most remarkable points of
    the box (corners, middle of the sides,  and  box  center)  are  numbered
    according  to  a  VT100  numeric  keypad  notation (see HELP GREG1\LABEL
    /CENTERING )..
2 /USER
        [GREG1\]DRAW [Action Xc Yc] /USER

    Specifies that coordinates are user coordinates.
2 /CLIP
        [GREG1\]DRAW [Action Xc Yc] /CLIP

    Keeps clipping in the box for all drawing  actions  (except  for  labels
    which are never clipped).
2 RELOCATE
        [GREG1\]DRAW RELOCATE Xc Yc

    Move pen up to given location (Xc,Yc). Cursor form R.
2 LINE
        [GREG1\]DRAW LINE Xc Yc

    Move pen down to given location (Xc,Yc). The line will be clipped in the
    box only if the /CLIP option is present. Cursor form L.
2 MARKER
        [GREG1\]DRAW MARKER Xc Yc

    Draw a graphic marker at given location (Xc,Yc).  Current  marker  style
    and size is used. Cursor form M.

2 ARROW
        [GREG1\]DRAW ARROW Xc Yc

    Draw an arrow from current location to given location.  The  arrow  size
    is governed by EXPAND and MARKER size. Cursor form A.
2 TEXT
        [GREG1\]DRAW TEXT Xc Yc "Text" [N [Orien]]

    Draw a text a location (Xc,Yc) according to the centering  parameter  N,
    or to the current centering parameter if N is not specified. Cursor form
    T, or C to be prompted for the centering.  The orientation angle of  the
    text (in degrees, counterclockwise) can be specified after the centering
    parameter; otherwise the current orientation defined by SET  ORIENTATION
    is used.
2 VALUE
        [GREG1\]DRAW VALUE Xc Yc

    Inquires the map value at the location (Xc,Yc).  A  regular  grid  array
    must  be  present  to  use this, (Xc,Yc) must be within the Regular Grid
    array limits; otherwise the command is ignored. Cursor form V.

1 ERRORBAR
        [GREG1\]ERRORBAR Argument [Array_X Array_Y Array_Z [Orientation]]

    This command draws error bars on  all (X,Y) points (read by COLUMN X and
    Y,  or  specified  in  Array_X  Array_Y)  of  length read by COLUMN Z or
    specified by Array_Z.  Argument may be  +X X -X  +Y Y or  -Y.  Symmetric
    errorbars  are  drawn  if  you  do  not specify the sign, while only the
    errorbar of  the  given  sign  is  drawn  if  you  do  so.  This  allows
    independent  errorbars  in  opposite directions. The size of the line at
    the end of the errorbar is the Marker size and can therefore be adjusted
    with SET MARKER.

    Errorbars with arbitrary orientation can be obtained by specifying  code
    +O,  O  or  -O.  The orientation (in degrees) is then either read from a
    fourth array if one is specified on the command line, or otherwise taken
    from the current marker orientation (as specified in SET ORIENTATION).

1 HISTOGRAM
        [GREG1\]HISTOGRAM [Array_X Array_Y] [/BASE [Ybase]] [/BLANKING  Bval
    Eval] [/FILL [pen_num]]

    Connects the coordinates read by COLUMN  X  and  Y,  or  stored  in  the
    variables  Array_X Array_Y as a histogram.  The /BASE option specifies a
    "true" histogram, connected to a  base  level  (Default  Ybase=0).   The
    /BLANKING  option will supersede the current blanking values (as defined
    by SET BLANKING command) so that data points with abs(Y(i)-Bval) <  Eval
    are not plotted. Eval negative means no blanking value. Filled Histogram
    is created by the options /FILL + /BASE.

2 /FILL
        [GREG1\]HISTOGRAM [Array_X Array_Y] [/BASE Ybase] /FILL [pen_num]

    The /FILL option indicates to fill the histogram with the colour of  the
    current  pen. Blanking is handled as for other histograms. Usually needs
    to be done in conjunction with the BASE  option  to  properly  fill  the
    histogram.  Pen_num  is  the  number (0-23) of the pen used to fill. The
    colors of the last 16 pens (8-23) can be changed by the user  (See  HELP
    LUT /PEN).


1 LABEL
        [GREG1\]LABEL "Character String" [Orientation] [/X]  [/Y]  [/APPEND]
    [/CENTERING N]

    Writes the string Character String (included between double  quotes)  at
    current  pen  position or location specified by option, and with current
    or requested centering. The label is written according to the current or
    specified   Orientation  and  EXPAND  factors.   Within  a  string,  the
    character "\" is an escape character and causes the following action :

                    \\X - set mode X
                     \X - set mode X for next char
                     \N - Default character set
                     \1 - Simplex character set
                     \2 - Duplex character set
                     \R - Roman font
                     \G - Greek font
                     \S - Script font
                     \I - toggle italics
                     \U - superscript
                     \D - subscript
                     \B - backspace over previous char
2 /X
        [GREG1\]LABEL /X

    Put the label centered below the X axis made by BOX.
2 /Y
        [GREG1\]LABEL /Y

    Put the label centered left of the Y axis made by BOX.
2 /APPEND
        [GREG1\]LABEL /APPEND

    Append  the  label  at  current  pen  location.  This   corresponds   to
     /CENTERING 6.
2 /CENTERING
        [GREG1\]LABEL /CENTERING N

    The label is oriented with respect to the current location according  to
    the argument N which can be 1 - 9 for :
                            right    center     left       justified
            label above       7         8         9
                  centered    4         5         6
                  below       1         2         3
    These conventions follow the standard numeric keypads notation.

1 Language
                        GREG1\ Language Summary
    AXIS            : Draws an axis according to its name
    BOX             : Makes a box labelled according to LIMITS and TICKSPACE.
    COLUMN          : Reads the data file
    CONNECT         : Connects (x,y) pairs with line segments
    CURVE           : Connects (x,y) pairs with a spline interpolation
    DRAW            : Calls the interactive cursor or execute detailed command
    ERRORBAR        : Draws error bars on (X,Y) pairs
    HISTOGRAM       : Connects (x,y) pairs as an histogram
    LABEL           : Writes a string...  according to options given
    LIMITS          : Sets the limits of the plot (no args for auto)
    PENCIL          : Select and defines the pen attributes
    POINTS          : Draws markers at the (X,Y) pairs
    RULE            : Makes a grid by joining axis tickmarks.
    SET             : Modifies some basic parameter
    SHOW            : Shows basic parameters
    SORT            : Sorts the current X-Y-Z buffers according to one.
    TICKSPACE       : Sets tick intervals for BOX or AXIS
    VALUES          : Write the Z values at the (X,Y) positions
2 NEWS
      Oct 1995: Separate text and marker orientation. Text  orientation  can
        now  also be given in command LABEL and DRAW TEXT.  See DRAW, LABEL,
        SET MARKER, SET ORIENTATION.
      Jul  1995:  RGDATA  enhanced:  /SUBSET  option  even  with  /VARIABLE,
        simple-minded creating of a grid from X,Y,Z variables, etc...
      Jun 1995: "true" astronomical labelling. See BOX and SET  SEXAGESIMAL.
        WEDGE command enhanced.
      Mar 1995: Pie charts possibility with ELLIPSE /ARC.
      Oct 1994: Support array variables  as  X  \&  Y  coordinates  in  DRAW
        command.   CHARACTER array variables are also supported in DRAW TEXT
        command.  Supports CHARACTER arrays for  coordinates  in  the  /USER
        ABSO option.  See DRAW.
      Sep 1994: Option /FILL to command  BOX  to  have  really  nice  colour
        plots.  See BOX.

1 LIMITS
        [GREG1\]LIMITS [X1  X2  Y1  Y2  [Unit]]  [/XLOG]  [/YLOG]  [/RGDATA]
    [/BLANKING Bval Eval] [/REVERSE [X] [Y]] [/VARIABLES Array_X Array_Y]

    Sets the coordinates of  the plot  region.   The  limits  are  the  user
    coordinates   of   the   BOX   corners,  and  in  conjunction  with  the
    BOX_LOCATION, specifies the conversion formula  between  USER  and  PLOT
    coordinates.  If LIMITS  has  no arguments,  it will  computes automatic
    limits.  The data from  the most recent COLUMN X and Y are  used  to set
    the limits, except if the  /RGDATA  option is present, in which case the
    last read regular grid map is used.
             Some special characters are allowed instead of numerical values
    for the limits :
          *   Compute automatic limit for this argument
          <   Compute automatic limit for this argument, and take
              the minimum of this value and the precedent limit.
          >   Same as above, but take the maximum.
          =   Keep the precedent value for this limit.

    An additional argument can be used when a projection and  a  system  are
    defined. It may take values
      - RADIAN : The values are assumed to be normal  projected  coordinates
        from the projection center.
      - SECOND, MINUTE or  DEGREE  :  The  values  are  converted  from  the
        specified angular unit to radians. They still represent offsets from
        the projection center.
      - ABSOLUTE : The values are assumed to be absolute coordinates on  the
        sphere. APPROXIMATE corresponding projected coordinates are computed
        from  these  values  (the  projected  coordinates  are   necessarily
        approximate  since  in  general  e.g.  the upper left and lower left
        corner of the box correspond to different absolute  Right  ascension
        for Equatorial system).
    The default value is the current angle unit as defined by SET ANGLE.
2 /BLANKING
        [GREG1\]LIMITS [Args . . .] /BLANKING Bval Eval

    Does not uses data points such that abs(Y(i)-Bval) < Eval. These  points
    act as separators.  Eval negative means no blanking value. Bval and Eval
    values default to those specified in SET BLANKING. Cannot  be  use  with
    /RGDATA.

2 /REVERSE
        [GREG1\]LIMITS [Args . . .] /REVERSE [X] [Y]

    Exchange the left and right limits for X axis,  and/or  top  and  bottom
    limits for Y axis.
2 /RGDATA
        [GREG1\]LIMITS [Args . . .] /RGDATA

    Specifies that the current Regular Grid array should be used to  compute
    the  (non-specified)  limits,  instead  of  the  current  column arrays.
    Logarithmic  conversion  formulae  are  not  allowed   in   this   case.
    The /BLANKING and /VARIABLES options are incompatible with /RGDATA.


2 /XLOG
        [GREG1\]LIMITS [Args . . .] /XLOG

    Specifies that the X conversion formula should be  logarithmic.   Cannot
    be used with the /RGDATA option.
2 /YLOG
        [GREG1\]LIMITS [Args . . .] /YLOG

    Specifies that the Y conversion formula should be  logarithmic.   Cannot
    be used with the /RGDATA option.
2 /VARIABLES
        [GREG1\]LIMITS [Args . . .] /VARIABLES Array_X Array_Y

    Use SIC variables Array_X Array_Y to compute the limits, instead of  the
    X and Y buffers. Cannot be used with the /RGDATA option.


1 PENCIL
        [GREG1\]PENCIL [N] [/COLOUR C] [/DASHED D] [/WEIGHT W] [/DEFAULT]

    Selects virtual pen N and defines its attributes in terms of colour  (if
    supported  by  the device), dashed pattern and weight (thickness). Up to
    16 pens can be defined (0-15).  Most plotting commands uses the  current
    pen. The major exception is RGMAP.  Some commands also ignore the dashed
    patterns, in particular all labels and the BOX command.
      - The dashed pattern D must be in range 1 to 7, 1 means solid lines.
      - The weight factor W must be in range 1 to 5.
      - The colour index C is an integer in the  range  0-23.  The  first  8
        colors are
         FIXED, the last 16 are user-definable. See the topic COLOR for more
        information on pen colors.
    PENCIL N /DEFAULT reset default attributes  to  Pen  number  N.   PENCIL
    /DEFAULT  reset  default  attributes for all Pens, as defined at program
    initialization.
2 COLORS
        There are 24 colors available for PENS. Colors 0 and 7 are  SPECIAL,
    colors  1 to 6 are FIXED (named colors or their equivalent shade of grey
    on grayscale terminals). The last 16 are user-defined.

    Color 0 (the default for the default PEN 0)  is  ALWAYS  the  foreground
    color (i.e., always visible whatever the background color of the graphic
    window is), and becomes BLACK on the paper hardcopy. Color 7  is  ALWAYS
    the background color, useful for text written on an grey-scale image for
    example.

    Colors 1 to 6 are  defined  as  follows  for  a  standard  display  with
    sufficient colors available in its colormap:
        "red","green","blue","cyan","yellow" and "magenta"
    For grey-scale displays, it becomes:
        "grey42","grey70","grey14","grey28","grey56" and "grey84"
    This may vary depending on  the  number  of  available  colors  on  your
    display.

    The last 16 colors are user-definable (see HELP LUT) and  correspond  to
    the  16  'FILL PENS' used as fill colors in various commands, like RGMAP
    /GREY or POLYGON /FILL.
1 POINTS
        [GREG1\]POINTS  [Array_X  Array_Y]  [/BLANKING  Bval  Eval]   [/SIZE
    Z_Value [Array_Z [Exponent]]] [/MARKER Array_Nsides Array_Style]

    Makes points of the current style (MARKER), size  (MARKER  and  EXPAND),
    and  orientation  (ORIENTATION) at the coordinates read by COLUMN, or in
    the variables Array_X Array_Y.

    With the option /SIZE, followed by a real  value  Z_Value,  POINTS  will
    draw  markers  of sizes governed by the values of the Z array (or of the
    array Array_Z if specified). Points with Z value equal to  Z_Value  will
    have  a  marker of size the current marker size.  All other markers will
    have an AREA proportional to the Z value  at  each  point  (i.e.  marker
    radius  at X(i) Y(i) proportional to the square root of Z(i); this power
    law exponent can be changed by  specifying  an  additional  argument  to
    option /SIZE). If Z_Value is equal to zero, the program uses the maximum
    absolute value of the Z array instead.

    The /BLANKING option can  be  used  to  override  the  current  blanking
    behaviour, as defined by SET BLANKING command.

    The /MARKER option can be used to specify a different  marker  sidedness
    and style for each data point.
1 RULE
        [GREG1\]RULE [X] [Y] [/MAJOR] [/MINOR]

    Without an argument, or with both X and Y arguments, RULE makes  a  grid
    within  the  BOX using the current pen. Major or minor ticks or both are
    selected according to the options.  With the argument X or Y,  the  grid
    is  restricted  to  X  or  Y  ticks respectively.  The /MAJOR and /MINOR
    options can be combined in the same command.
2 /MAJOR
        [GREG1\]RULE [X] [Y] /MAJOR

    Makes a grid at major ticks (This is the default if no option is given).
2 /MINOR
        [GREG1\]RULE [X] [Y] /MINOR

    Makes a grid at minor ticks.

1 SET
        [GREG1\]SET Argument [Value [...]] [/DEFAULT]

    Specify or reset some default value for a parameter used by GreG.  These
    values  may  sometimes  be  overridden  for  a  single  command  by  the
    appropriate option (e.g. /BLANKING  and  SET  BLANKING).   SET  Argument
    /DEFAULT reset the default values for the given key.

    SET /DEFAULT reset all default values of SET including the FONT and  the
    PLOT_PAGE  ;  thus  the  plot cleared.  Use PENCIL /DEFAULT to reset the
    PENCIL definitions, and  TICKSPACE  0  0  0  0  to  reset  tick  spacing
    parameters.

2 ANGLE_UNIT
        [GREG1\]SET ANGLE_UNIT D

    Sets the  angle  unit  for  the  projection  limits.  This  will  become
    effective  only when a projection is effective, and only affects the way
    limits are given and labels written (not internally stored).  D may have
    the values SECOND, MINUTE, DEGREE, RADIAN

2 BLANKING
        [GREG1\]SET BLANKING Bval Eval

    Define a blanking value Bval with tolerance Eval. Default is no blanking
    (i.e.   Eval  negative).  The  blanking  is  used by most curve plotting
    commands such as CURVE, CONNECT, POINTS  to  ignore  data  points  which
    verify  ABS(Y-Bval)  less  or  equal to Eval. The blanking value is also
    used for contours (RGMAP), to avoid plotting contours  in  pixels  whose
    value  verify  the  same  relation  as above. And finally, some commands
    require a blanking value to attribute when they are unable to  define  a
    real value ; this include RANDOM and MASK.

2 BOX_LOCATION
        [GREG1\]SET BOX_LOCATION Argument_List

    Define the position of the box.  The  argument  list  specifies  various
    options for the box position :
      - PORTRAIT     Define a default Portrait oriented box
      - LANDSCAPE    Define a default Landscape oriented box
      - SQUARE       Define a square box
      - MATCH [Gx1 Gy1 [Ratio]]   Define a box which matches  the  ratio  of
        the  physical units. By default, the bottom left corner is placed at
        the default position for the current plot page, but can be moved  by
        specifying arguments Gx1 and Gy1. The box size is adjusted such that
        the box occupies as much space as possible within  the  default  box
        position  for  the  current  plot  page type. Ratio is an additional
        arguments which indicates a scaling factor for the Y axis.
    WARNING : The box is computed from the  current  limits,  and  will  not
        change if you computes new limits
      - Gx1 Gx2 Gy1 Gy2   Defines  the  positions  of  all  box  corners  in
        physical units.
    The default is LANDSCAPE, PORTRAIT or the default VIEWPORT according  to
    the current PLOT_PAGE type.

2 CENTERING
        [GREG1\]SET CENTERING N

    Sets the centering option. Default is 0, which means automatic centering
    according to the position relative to the box.

2 CHARACTER
        [GREG1\]SET CHARACTER S

    Sets the character size to S physical units. Default is 0.6 .

    2 COMMENT
        [GREG1\]SET COMMENT "Separator"

    Specify which character is used to indicate the beginning of  a  comment
    line  in  formatted  input  files  for  command COLUMN. "Separator" is a
    single character; typical values are "!", ";", "#", although any  single
    character can be specified. The default is "!".

2 COORDINATES
        [GREG1\]SET COORDINATES [System [N]]

    Sets the coordinate system for DRAW. The system may be BOX, CHARACTER or
    USER. If BOX or CHARACTER, N can be used to specify the point of the box
    to which the units  refer.   Nine  points  are  available,  following  a
    standard  VT100 keypad disposition (see HELP GREG1\LABEL /CENTERING ). N
    may be 0. In this case, the nearest  point  will  be  used  when  making
    annotations  with the cursor, and point 1 will be used in explicit form.
    The default is BOX 0.

2 DECIMAL
        [GREG1\]SET DECIMAL [X] [Y]

    Specify that labelling of X or Y axis is with a decimal field (default).
    Used to revert from sexagesimal labelling (See HELP SET SEXAGESIMAL).
2 EXPAND
        [GREG1\]SET EXPAND E

    Expands all characters or markers by a factor E. Default is 1.

2 FONT
        [GREG1\]SET FONT F

    Defines the character font used. F may be SIMPLEX (default)  or  DUPLEX,
    which  is  nicer  but  substantially  slower,  and should be reserved to
    publication quality plots. Default is SIMPLEX.

2 MARKER
        [GREG1\]SET MARKER Nsides Mstyle Size Orien

    Sets the marker type to an polygon of Nsides, of style Mstyle (0-3)  and
    size Size physical units.
        Nsides=0,1 Dots ; Nsides=2 Bar ; Nsides=3 Triangle ...
        Mstyle=0 Convex polygon  ;  Mstyle=1  Vertex  connected  ;  Mstyle=2
        Starred polygon, and Mstyle=3 Filled polygon (Only for Nsides >= 3)

    The default is Nsides=0 Mstyle=0  Size=0.  and  Orientation  0  (Points,
    optimised  algorithm).  The Orientation is used to plot the marker (e.g.
    Horizontal bar for MARKER 2 0 * 0.0, and vertical bar  for  same  marker
    MARJER 2 0 * 90.0).

    A * instead of a numerical value indicate to keep the last value.

2 ORIENTATION
        [GREG1\]SET ORIENTATION T [M]

    Set orientation of text to T degrees and that of markers to M degrees (M
    =   T  if  not  specified).  The  text  orientation  also  controls  the
    orientation of axes. Default is 0.0 (horizontal).

    Text orientation can also be controlled by command DRAW TEXT, and Marker
    orientation by command SET MARKER.

2 PLOT_PAGE
        [GREG1\]SET PLOT_PAGE X Y

    Sets the physical  size  of  plot  page.  One  can  use  "PORTRAIT"  and
    "LANDSCAPE"  for  A4  format  with adequate orientation, and square will
    give a 30 by 30 cm plot page. Default is LANDSCAPE (A4 30 by 21 cm).

2 SEXAGESIMAL
        [GREG1\]SET SEXAGESIMAL [X [Nx]] [Y [[Ny]]

    Set X axis labelling in sexagesimal notation with Nx decimals (resp. Y).
    The  default,  (Nx=1, Ny=0 and no sexagesimal notation) is nearly always
    perfect for everybody.

    So, this command is used for two restricted purposes:
       - to enable sexagesimal notation of axis when a projection is in use,
        the  system  is  GALACTIC  and the /ABSOLUTE option is required (for
        EQUATORIAL systems, the sexagesimal notation is always used in  this
        case,   but   the   default   for   GALACTIC  system  is  a  decimal
        representation of degrees).
       - to specify the number of decimals  when  using  ABSOLUTE  labelling
        (see BOX /ABSOLUTE or AXIS /ABSOLUTE).
    Note that, when a realistic tick spacing is required by the user or (the
    default)  GreG  computes  this spacing automatically, labelled tickmarks
    will fall on rounded values, so no  decimals  will  appear  (unless  the
    field of view is smaller than a few arc seconds).

2 SYSTEM
        [GREG1\]SET SYSTEM Name

    Specify the coordinate system used in case of projection. The  name  can
    be  UNKNOWN,  GALACTIC  or EQUATORIAL. The SYSTEM affects the projection
    definitions (in particular the GRID command) and coordinates  sent  back
    by the cursor (different formats are used for each system).

2 TICKSIZE
        [GREG1\]SET TICKSIZE S

    Sets the tick size to S physical units (Default 0.3).

2 VIEWPORT
        [GREG1\]SET VIEWPORT Px1 Px2 Py1 Py2

    Define the position of the box in terms of fractions of  the  plot  page
    size in X and Y. Default is 0.150 0.925 0.125 0.925 .

1 SHOW
        [GREG1\]SHOW Item
      -  SHOW  <SET_key>  lists  the  current  value   of   the   associated
        parameter(s).
      - SHOW ALL lists the values of all the SET parameters.
      - SHOW PEN lists the current pen definitions (use the  PENCIL  command
        itself for informations on the active pen alone).
      - SHOW PROJECTION lists the current projection used.
      - SHOW [WHERE or LIMITS] [DEGREE,MINUTE,SECOND or  RADIAN]  shows  the
        current  pen  location  and  plot  region  limits  in  User and Plot
        coordinates. The second argument modifies the angular units in which
        the  user's  values  are  displayed, when a projection is enabled of
        course.
      - SHOW Without arguments is a synonym of SHOW WHERE
1 SORT
        [GREG1\]SORT Key

    Sorts the current X-Y-Z buffers according to the one given as Key  name,
    which  will be in ascending order after the sorting. It may be useful if
    you want to plot a curve, but have data disordered.
1 TICKSPACE
        [GREG1\]TICKSPACE SmallX BigX SmallY BigY

    Sets tick intervals (in User coordinates) for BOX or  default  intervals
    for  AXIS. SmallX refers to the interval between small tick marks on the
    X axis, BigX refers to the interval between large ticks, etc...  If  Big
    is  0,  the  axis routine will supply its own Big intervals according to
    the label limits and use your Small value if non zero.  To restore fully
    automatic  ticking,  set  Small  and  Big equal to 0.  To suppress small
    ticks, specify equal values for Small and Big.

    The Small and Big values are meaningless  for  LOGarithmic  axes,  which
    uses their own conventions. These conventions are not quite perfect, and
    if less than one decade is plotted, odds are good that you will not  get
    any labelling !...

    When using the /ABSOLUTE or /UNIT option for axis-drawing commands,  one
    has to keep in mind that Small and Big (if not 0) should be expressed:
      - in seconds of arc for declination or galactic (sexagesimal notation)
        axis, /ABSOLUTE option (one can usually multiply by 3600 the desired
        tick spacing)
      - in seconds of  time  for  right  ascension  axis,  /ABSOLUTE  option
        (multiply by 12)
      - in seconds, minutes or degrees when option /UNIT [SECOND, MINUTE  or
        DEGREE] is used.
    Thus in the case of a  user-defined  tick  spacing,  TICKSPACE  must  be
    redefined before using another option.

1 VALUES
        [GREG1\]VALUES [Array_X Array_Y Array_Z]

    Writes (in the shortest possible format) the values of the  Z  array  at
    the  (X,Y)  positions  in the box. The current character size, expansion
    factor and fonts are used.  Only  points  inside  the  current  box  are
    written,  but  the labels may still span over the box itself. Arrays may
    be specified explicitly.

1 END



































